ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.80 by root, Fri Jan 20 10:27:08 2006 UTC vs.
Revision 1.89 by root, Sun Jan 22 04:09:16 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PKG_CONFIG XFT_CONFIG PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
3221if test "$ac_cv_search_strerror" != no; then 3221if test "$ac_cv_search_strerror" != no; then
3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3223 3223
3224fi 3224fi
3225 3225
3226
3227ac_ext=c
3228ac_cpp='$CPP $CPPFLAGS'
3229ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3230ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3231ac_compiler_gnu=$ac_cv_c_compiler_gnu
3232
3233
3234LINKER="$CXX"
3235if test x$GCC = xyes && test x$GXX = xyes; then
3236 echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3237echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3238if test "${ac_cv_lib_supcpp_main+set}" = set; then
3239 echo $ECHO_N "(cached) $ECHO_C" >&6
3240else
3241 ac_check_lib_save_LIBS=$LIBS
3242LIBS="-lsupc++ $LIBS"
3243cat >conftest.$ac_ext <<_ACEOF
3244/* confdefs.h. */
3245_ACEOF
3246cat confdefs.h >>conftest.$ac_ext
3247cat >>conftest.$ac_ext <<_ACEOF
3248/* end confdefs.h. */
3249
3250
3251int
3252main ()
3253{
3254main ();
3255 ;
3256 return 0;
3257}
3258_ACEOF
3259rm -f conftest.$ac_objext conftest$ac_exeext
3260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3261 (eval $ac_link) 2>conftest.er1
3262 ac_status=$?
3263 grep -v '^ *+' conftest.er1 >conftest.err
3264 rm -f conftest.er1
3265 cat conftest.err >&5
3266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3267 (exit $ac_status); } &&
3268 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3270 (eval $ac_try) 2>&5
3271 ac_status=$?
3272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3273 (exit $ac_status); }; } &&
3274 { ac_try='test -s conftest$ac_exeext'
3275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3276 (eval $ac_try) 2>&5
3277 ac_status=$?
3278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3279 (exit $ac_status); }; }; then
3280 ac_cv_lib_supcpp_main=yes
3281else
3282 echo "$as_me: failed program was:" >&5
3283sed 's/^/| /' conftest.$ac_ext >&5
3284
3285ac_cv_lib_supcpp_main=no
3286fi
3287rm -f conftest.err conftest.$ac_objext \
3288 conftest$ac_exeext conftest.$ac_ext
3289LIBS=$ac_check_lib_save_LIBS
3290fi
3291echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3292echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3293if test $ac_cv_lib_supcpp_main = yes; then
3294
3295 LINKER="$CC"
3296 LIBS="$LIBS -lsupc++"
3297
3298fi
3299
3300fi
3301LINKER=$LINKER
3302
3303
3304ac_ext=cc 3226ac_ext=cc
3305ac_cpp='$CXXCPP $CPPFLAGS' 3227ac_cpp='$CXXCPP $CPPFLAGS'
3306ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3228ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3307ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3229ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3308ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 3230ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3309 3231
3232
3233if test x$GCC = xyes && test x$GXX = xyes; then
3234 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3235echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3236 save_CXX="$CXX"
3237 save_LIBS="$LIBS"
3238 CXX="$CC"
3239 LIBS="$LIBS -lsupc++"
3240 LINKER="$CC"
3241
3242cat >conftest.$ac_ext <<_ACEOF
3243/* confdefs.h. */
3244_ACEOF
3245cat confdefs.h >>conftest.$ac_ext
3246cat >>conftest.$ac_ext <<_ACEOF
3247/* end confdefs.h. */
3248struct test { }; void f() try { throw new test; } catch (...) { throw; }
3249int
3250main ()
3251{
3252
3253 ;
3254 return 0;
3255}
3256_ACEOF
3257rm -f conftest.$ac_objext conftest$ac_exeext
3258if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3259 (eval $ac_link) 2>conftest.er1
3260 ac_status=$?
3261 grep -v '^ *+' conftest.er1 >conftest.err
3262 rm -f conftest.er1
3263 cat conftest.err >&5
3264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3265 (exit $ac_status); } &&
3266 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3267 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3268 (eval $ac_try) 2>&5
3269 ac_status=$?
3270 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3271 (exit $ac_status); }; } &&
3272 { ac_try='test -s conftest$ac_exeext'
3273 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3274 (eval $ac_try) 2>&5
3275 ac_status=$?
3276 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3277 (exit $ac_status); }; }; then
3278 echo "$as_me:$LINENO: result: ok" >&5
3279echo "${ECHO_T}ok" >&6
3280else
3281 echo "$as_me: failed program was:" >&5
3282sed 's/^/| /' conftest.$ac_ext >&5
3283
3284
3285 echo "$as_me:$LINENO: result: no, making everything bigger and slower" >&5
3286echo "${ECHO_T}no, making everything bigger and slower" >&6
3287 LIBS="$save_LIBS"
3288 LINKER="$save_CXX"
3289
3290
3291fi
3292rm -f conftest.err conftest.$ac_objext \
3293 conftest$ac_exeext conftest.$ac_ext
3294 CXX="$save_CXX"
3295fi
3296LINKER=$LINKER
3297
3298
3299ac_ext=cc
3300ac_cpp='$CXXCPP $CPPFLAGS'
3301ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3302ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3303ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3304
3310if test -z "$orig_CXXFLAGS"; then 3305if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then 3306 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -Os -fno-threadsafe-statics -fno-enforce-eh-specs" 3307 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3313 3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3314cat >conftest.$ac_ext <<_ACEOF 3312cat >>conftest.$ac_ext <<_ACEOF
3315int i; 3313/* end confdefs.h. */
3314
3315int
3316main ()
3317{
3318
3319 ;
3320 return 0;
3321}
3316_ACEOF 3322_ACEOF
3317rm -f conftest.$ac_objext 3323rm -f conftest.$ac_objext
3318if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 3324if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3319 (eval $ac_compile) 2>conftest.er1 3325 (eval $ac_compile) 2>conftest.er1
3320 ac_status=$? 3326 ac_status=$?
3333 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3339 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3334 (eval $ac_try) 2>&5 3340 (eval $ac_try) 2>&5
3335 ac_status=$? 3341 ac_status=$?
3336 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3342 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3337 (exit $ac_status); }; }; then 3343 (exit $ac_status); }; }; then
3338 echo didididid 3344 :
3339else 3345else
3340 echo "$as_me: failed program was:" >&5 3346 echo "$as_me: failed program was:" >&5
3341sed 's/^/| /' conftest.$ac_ext >&5 3347sed 's/^/| /' conftest.$ac_ext >&5
3342 3348
3343CXXFLAGS="-g -O3" 3349CXXFLAGS="-g -O3"
7205 7211
7206 7212
7207 7213
7208 7214
7209 7215
7210
7211
7212
7213
7214
7215
7216
7217
7218
7219for ac_header in \ 7216for ac_header in \
7220 assert.h \ 7217 assert.h \
7221 fcntl.h \ 7218 fcntl.h \
7222 grp.h \
7223 libc.h \
7224 lastlog.h \
7225 stdarg.h \ 7219 stdarg.h \
7226 stdlib.h \ 7220 stdlib.h \
7227 string.h \ 7221 string.h \
7228 termios.h \ 7222 termios.h \
7229 unistd.h \ 7223 unistd.h \
7230 sys/byteorder.h \ 7224 sys/byteorder.h \
7231 sys/ioctl.h \ 7225 sys/ioctl.h \
7232 sys/select.h \ 7226 sys/select.h \
7233 sys/sockio.h \ 7227 sys/sockio.h \
7234 sys/strredir.h \ 7228 sys/strredir.h \
7235 sys/stropts.h \
7236 sys/time.h \ 7229 sys/time.h \
7237 utmp.h \ 7230 stdint.h \
7238 utmpx.h \ 7231 wchar.h \
7239 stdint.h \ 7232 cwchar \
7240 pty.h \ 7233 clocale \
7241 util.h \
7242 libutil.h \
7243 wchar.h \
7244 cwchar \
7245 clocale \
7246 7234
7247do 7235do
7248as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7236as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7249if eval "test \"\${$as_ac_Header+set}\" = set"; then 7237if eval "test \"\${$as_ac_Header+set}\" = set"; then
7250 echo "$as_me:$LINENO: checking for $ac_header" >&5 7238 echo "$as_me:$LINENO: checking for $ac_header" >&5
10084 10072
10085 10073
10086 10074
10087 10075
10088 10076
10089
10090
10091
10092
10093
10094
10095
10096
10097
10098
10099for ac_func in \ 10077for ac_func in \
10100 revoke \
10101 unsetenv \ 10078 unsetenv \
10102 setutent \ 10079 setutent \
10103 seteuid \ 10080 seteuid \
10104 setresuid \ 10081 setresuid \
10105 setreuid \ 10082 setreuid \
10106 _getpty \
10107 getpt \
10108 posix_openpt \
10109 grantpt \
10110 unlockpt \
10111 isastream \
10112 on_exit \ 10083 on_exit \
10113 nanosleep \ 10084 nanosleep \
10114 updwtmp \
10115 updwtmpx \
10116 ttyslot \
10117 10085
10118do 10086do
10119as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10120echo "$as_me:$LINENO: checking for $ac_func" >&5 10088echo "$as_me:$LINENO: checking for $ac_func" >&5
10121echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10210 cat >>confdefs.h <<_ACEOF 10178 cat >>confdefs.h <<_ACEOF
10211#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 10179#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10212_ACEOF 10180_ACEOF
10213 10181
10214fi 10182fi
10183done
10184
10185
10186
10187
10188
10189
10190for ac_func in \
10191 ttyslot \
10192 updwtmp \
10193 updwtmpx \
10194
10195do
10196as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10197echo "$as_me:$LINENO: checking for $ac_func" >&5
10198echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10199if eval "test \"\${$as_ac_var+set}\" = set"; then
10200 echo $ECHO_N "(cached) $ECHO_C" >&6
10201else
10202 cat >conftest.$ac_ext <<_ACEOF
10203/* confdefs.h. */
10204_ACEOF
10205cat confdefs.h >>conftest.$ac_ext
10206cat >>conftest.$ac_ext <<_ACEOF
10207/* end confdefs.h. */
10208/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10209 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10210#define $ac_func innocuous_$ac_func
10211
10212/* System header to define __stub macros and hopefully few prototypes,
10213 which can conflict with char $ac_func (); below.
10214 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10215 <limits.h> exists even on freestanding compilers. */
10216
10217#ifdef __STDC__
10218# include <limits.h>
10219#else
10220# include <assert.h>
10221#endif
10222
10223#undef $ac_func
10224
10225/* Override any gcc2 internal prototype to avoid an error. */
10226#ifdef __cplusplus
10227extern "C"
10228{
10229#endif
10230/* We use char because int might match the return type of a gcc2
10231 builtin and then its argument prototype would still apply. */
10232char $ac_func ();
10233/* The GNU C library defines this for functions which it implements
10234 to always fail with ENOSYS. Some functions are actually named
10235 something starting with __ and the normal name is an alias. */
10236#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
10237choke me
10238#else
10239char (*f) () = $ac_func;
10240#endif
10241#ifdef __cplusplus
10242}
10243#endif
10244
10245int
10246main ()
10247{
10248return f != $ac_func;
10249 ;
10250 return 0;
10251}
10252_ACEOF
10253rm -f conftest.$ac_objext conftest$ac_exeext
10254if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10255 (eval $ac_link) 2>conftest.er1
10256 ac_status=$?
10257 grep -v '^ *+' conftest.er1 >conftest.err
10258 rm -f conftest.er1
10259 cat conftest.err >&5
10260 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10261 (exit $ac_status); } &&
10262 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10263 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10264 (eval $ac_try) 2>&5
10265 ac_status=$?
10266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10267 (exit $ac_status); }; } &&
10268 { ac_try='test -s conftest$ac_exeext'
10269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10270 (eval $ac_try) 2>&5
10271 ac_status=$?
10272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10273 (exit $ac_status); }; }; then
10274 eval "$as_ac_var=yes"
10275else
10276 echo "$as_me: failed program was:" >&5
10277sed 's/^/| /' conftest.$ac_ext >&5
10278
10279eval "$as_ac_var=no"
10280fi
10281rm -f conftest.err conftest.$ac_objext \
10282 conftest$ac_exeext conftest.$ac_ext
10283fi
10284echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
10285echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
10286if test `eval echo '${'$as_ac_var'}'` = yes; then
10287 cat >>confdefs.h <<_ACEOF
10288#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10289_ACEOF
10290
10291fi
10292done
10293
10294
10295
10296
10297
10298for ac_header in \
10299 utmp.h \
10300 utmpx.h \
10301 lastlog.h \
10302
10303do
10304as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10305if eval "test \"\${$as_ac_Header+set}\" = set"; then
10306 echo "$as_me:$LINENO: checking for $ac_header" >&5
10307echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10308if eval "test \"\${$as_ac_Header+set}\" = set"; then
10309 echo $ECHO_N "(cached) $ECHO_C" >&6
10310fi
10311echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10312echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10313else
10314 # Is the header compilable?
10315echo "$as_me:$LINENO: checking $ac_header usability" >&5
10316echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10317cat >conftest.$ac_ext <<_ACEOF
10318/* confdefs.h. */
10319_ACEOF
10320cat confdefs.h >>conftest.$ac_ext
10321cat >>conftest.$ac_ext <<_ACEOF
10322/* end confdefs.h. */
10323$ac_includes_default
10324#include <$ac_header>
10325_ACEOF
10326rm -f conftest.$ac_objext
10327if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10328 (eval $ac_compile) 2>conftest.er1
10329 ac_status=$?
10330 grep -v '^ *+' conftest.er1 >conftest.err
10331 rm -f conftest.er1
10332 cat conftest.err >&5
10333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10334 (exit $ac_status); } &&
10335 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10336 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10337 (eval $ac_try) 2>&5
10338 ac_status=$?
10339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10340 (exit $ac_status); }; } &&
10341 { ac_try='test -s conftest.$ac_objext'
10342 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10343 (eval $ac_try) 2>&5
10344 ac_status=$?
10345 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10346 (exit $ac_status); }; }; then
10347 ac_header_compiler=yes
10348else
10349 echo "$as_me: failed program was:" >&5
10350sed 's/^/| /' conftest.$ac_ext >&5
10351
10352ac_header_compiler=no
10353fi
10354rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10355echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10356echo "${ECHO_T}$ac_header_compiler" >&6
10357
10358# Is the header present?
10359echo "$as_me:$LINENO: checking $ac_header presence" >&5
10360echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10361cat >conftest.$ac_ext <<_ACEOF
10362/* confdefs.h. */
10363_ACEOF
10364cat confdefs.h >>conftest.$ac_ext
10365cat >>conftest.$ac_ext <<_ACEOF
10366/* end confdefs.h. */
10367#include <$ac_header>
10368_ACEOF
10369if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10370 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10371 ac_status=$?
10372 grep -v '^ *+' conftest.er1 >conftest.err
10373 rm -f conftest.er1
10374 cat conftest.err >&5
10375 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10376 (exit $ac_status); } >/dev/null; then
10377 if test -s conftest.err; then
10378 ac_cpp_err=$ac_cxx_preproc_warn_flag
10379 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10380 else
10381 ac_cpp_err=
10382 fi
10383else
10384 ac_cpp_err=yes
10385fi
10386if test -z "$ac_cpp_err"; then
10387 ac_header_preproc=yes
10388else
10389 echo "$as_me: failed program was:" >&5
10390sed 's/^/| /' conftest.$ac_ext >&5
10391
10392 ac_header_preproc=no
10393fi
10394rm -f conftest.err conftest.$ac_ext
10395echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10396echo "${ECHO_T}$ac_header_preproc" >&6
10397
10398# So? What about this header?
10399case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10400 yes:no: )
10401 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10402echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10403 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10404echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10405 ac_header_preproc=yes
10406 ;;
10407 no:yes:* )
10408 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10409echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10410 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10411echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10412 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10413echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10414 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10415echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10416 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10417echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10418 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10419echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10420 (
10421 cat <<\_ASBOX
10422## ------------------------------------------ ##
10423## Report this to the AC_PACKAGE_NAME lists. ##
10424## ------------------------------------------ ##
10425_ASBOX
10426 ) |
10427 sed "s/^/$as_me: WARNING: /" >&2
10428 ;;
10429esac
10430echo "$as_me:$LINENO: checking for $ac_header" >&5
10431echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10432if eval "test \"\${$as_ac_Header+set}\" = set"; then
10433 echo $ECHO_N "(cached) $ECHO_C" >&6
10434else
10435 eval "$as_ac_Header=\$ac_header_preproc"
10436fi
10437echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10438echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10439
10440fi
10441if test `eval echo '${'$as_ac_Header'}'` = yes; then
10442 cat >>confdefs.h <<_ACEOF
10443#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10444_ACEOF
10445
10446fi
10447
10215done 10448done
10216 10449
10217 10450
10218 10451
10219if test "${ac_cv_header_utmp_h+set}" = set; then 10452if test "${ac_cv_header_utmp_h+set}" = set; then
10353 10586
10354fi 10587fi
10355if test $ac_cv_header_utmp_h = yes; then 10588if test $ac_cv_header_utmp_h = yes; then
10356 echo "$as_me:$LINENO: checking for struct utmp" >&5 10589 echo "$as_me:$LINENO: checking for struct utmp" >&5
10357echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6 10590echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10358if test "${rxvt_cv_struct_utmp+set}" = set; then 10591if test "${struct_utmp+set}" = set; then
10359 echo $ECHO_N "(cached) $ECHO_C" >&6 10592 echo $ECHO_N "(cached) $ECHO_C" >&6
10360else 10593else
10361 cat >conftest.$ac_ext <<_ACEOF 10594 cat >conftest.$ac_ext <<_ACEOF
10362/* confdefs.h. */ 10595/* confdefs.h. */
10363_ACEOF 10596_ACEOF
10393 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10626 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10394 (eval $ac_try) 2>&5 10627 (eval $ac_try) 2>&5
10395 ac_status=$? 10628 ac_status=$?
10396 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10629 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10397 (exit $ac_status); }; }; then 10630 (exit $ac_status); }; }; then
10398 rxvt_cv_struct_utmp=yes 10631 struct_utmp=yes
10399else 10632else
10400 echo "$as_me: failed program was:" >&5 10633 echo "$as_me: failed program was:" >&5
10401sed 's/^/| /' conftest.$ac_ext >&5 10634sed 's/^/| /' conftest.$ac_ext >&5
10402 10635
10403rxvt_cv_struct_utmp=no 10636struct_utmp=no
10404fi 10637fi
10405rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10638rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10406fi 10639fi
10407echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5 10640echo "$as_me:$LINENO: result: $struct_utmp" >&5
10408echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6 10641echo "${ECHO_T}$struct_utmp" >&6
10409if test x$rxvt_cv_struct_utmp = xyes; then 10642if test x$struct_utmp = xyes; then
10410 10643
10411cat >>confdefs.h <<\_ACEOF 10644cat >>confdefs.h <<\_ACEOF
10412#define HAVE_STRUCT_UTMP 1 10645#define HAVE_STRUCT_UTMP 1
10413_ACEOF 10646_ACEOF
10414 10647
10415fi 10648fi
10416 10649
10417 10650
10418echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5 10651echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10419echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6 10652echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10420if test "${rxvt_cv_struct_utmp_host+set}" = set; then 10653if test "${struct_utmp_host+set}" = set; then
10421 echo $ECHO_N "(cached) $ECHO_C" >&6 10654 echo $ECHO_N "(cached) $ECHO_C" >&6
10422else 10655else
10423 cat >conftest.$ac_ext <<_ACEOF 10656 cat >conftest.$ac_ext <<_ACEOF
10424/* confdefs.h. */ 10657/* confdefs.h. */
10425_ACEOF 10658_ACEOF
10455 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10456 (eval $ac_try) 2>&5 10689 (eval $ac_try) 2>&5
10457 ac_status=$? 10690 ac_status=$?
10458 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10691 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10459 (exit $ac_status); }; }; then 10692 (exit $ac_status); }; }; then
10460 rxvt_cv_struct_utmp_host=yes 10693 struct_utmp_host=yes
10461else 10694else
10462 echo "$as_me: failed program was:" >&5 10695 echo "$as_me: failed program was:" >&5
10463sed 's/^/| /' conftest.$ac_ext >&5 10696sed 's/^/| /' conftest.$ac_ext >&5
10464 10697
10465rxvt_cv_struct_utmp_host=no 10698struct_utmp_host=no
10466fi 10699fi
10467rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10700rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10468fi 10701fi
10469echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5 10702echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
10470echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6 10703echo "${ECHO_T}$struct_utmp_host" >&6
10471if test x$rxvt_cv_struct_utmp_host = xyes; then 10704if test x$struct_utmp_host = xyes; then
10472 10705
10473cat >>confdefs.h <<\_ACEOF 10706cat >>confdefs.h <<\_ACEOF
10474#define HAVE_UTMP_HOST 1 10707#define HAVE_UTMP_HOST 1
10475_ACEOF 10708_ACEOF
10476 10709
10477fi 10710fi
10478 10711
10479echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5 10712echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10480echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6 10713echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10481if test "${rxvt_cv_struct_utmp_pid+set}" = set; then 10714if test "${struct_utmp_pid+set}" = set; then
10482 echo $ECHO_N "(cached) $ECHO_C" >&6 10715 echo $ECHO_N "(cached) $ECHO_C" >&6
10483else 10716else
10484 cat >conftest.$ac_ext <<_ACEOF 10717 cat >conftest.$ac_ext <<_ACEOF
10485/* confdefs.h. */ 10718/* confdefs.h. */
10486_ACEOF 10719_ACEOF
10516 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10517 (eval $ac_try) 2>&5 10750 (eval $ac_try) 2>&5
10518 ac_status=$? 10751 ac_status=$?
10519 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10752 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10520 (exit $ac_status); }; }; then 10753 (exit $ac_status); }; }; then
10521 rxvt_cv_struct_utmp_pid=yes 10754 struct_utmp_pid=yes
10522else 10755else
10523 echo "$as_me: failed program was:" >&5 10756 echo "$as_me: failed program was:" >&5
10524sed 's/^/| /' conftest.$ac_ext >&5 10757sed 's/^/| /' conftest.$ac_ext >&5
10525 10758
10526rxvt_cv_struct_utmp_pid=no 10759struct_utmp_pid=no
10527fi 10760fi
10528rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10761rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10529fi 10762fi
10530echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5 10763echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
10531echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6 10764echo "${ECHO_T}$struct_utmp_pid" >&6
10532if test x$rxvt_cv_struct_utmp_pid = xyes; then 10765if test x$struct_utmp_pid = xyes; then
10533 10766
10534cat >>confdefs.h <<\_ACEOF 10767cat >>confdefs.h <<\_ACEOF
10535#define HAVE_UTMP_PID 1 10768#define HAVE_UTMP_PID 1
10536_ACEOF 10769_ACEOF
10537 10770
10678 10911
10679fi 10912fi
10680if test $ac_cv_header_utmpx_h = yes; then 10913if test $ac_cv_header_utmpx_h = yes; then
10681 echo "$as_me:$LINENO: checking for struct utmpx" >&5 10914 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10682echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6 10915echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10683if test "${rxvt_cv_struct_utmpx+set}" = set; then 10916if test "${struct_utmpx+set}" = set; then
10684 echo $ECHO_N "(cached) $ECHO_C" >&6 10917 echo $ECHO_N "(cached) $ECHO_C" >&6
10685else 10918else
10686 cat >conftest.$ac_ext <<_ACEOF 10919 cat >conftest.$ac_ext <<_ACEOF
10687/* confdefs.h. */ 10920/* confdefs.h. */
10688_ACEOF 10921_ACEOF
10718 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10951 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10719 (eval $ac_try) 2>&5 10952 (eval $ac_try) 2>&5
10720 ac_status=$? 10953 ac_status=$?
10721 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10954 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10722 (exit $ac_status); }; }; then 10955 (exit $ac_status); }; }; then
10723 rxvt_cv_struct_utmpx=yes 10956 struct_utmpx=yes
10724else 10957else
10725 echo "$as_me: failed program was:" >&5 10958 echo "$as_me: failed program was:" >&5
10726sed 's/^/| /' conftest.$ac_ext >&5 10959sed 's/^/| /' conftest.$ac_ext >&5
10727 10960
10728rxvt_cv_struct_utmpx=no 10961struct_utmpx=no
10729fi 10962fi
10730rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10963rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10731fi 10964fi
10732echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5 10965echo "$as_me:$LINENO: result: $struct_utmpx" >&5
10733echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6 10966echo "${ECHO_T}$struct_utmpx" >&6
10734if test x$rxvt_cv_struct_utmpx = xyes; then 10967if test x$struct_utmpx = xyes; then
10735 10968
10736cat >>confdefs.h <<\_ACEOF 10969cat >>confdefs.h <<\_ACEOF
10737#define HAVE_STRUCT_UTMPX 1 10970#define HAVE_STRUCT_UTMPX 1
10738_ACEOF 10971_ACEOF
10739 10972
10740fi 10973fi
10741 10974
10742 10975
10743echo "$as_me:$LINENO: checking for host in utmpx struct" >&5 10976echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10744echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6 10977echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10745if test "${rxvt_cv_struct_utmpx_host+set}" = set; then 10978if test "${struct_utmpx_host+set}" = set; then
10746 echo $ECHO_N "(cached) $ECHO_C" >&6 10979 echo $ECHO_N "(cached) $ECHO_C" >&6
10747else 10980else
10748 cat >conftest.$ac_ext <<_ACEOF 10981 cat >conftest.$ac_ext <<_ACEOF
10749/* confdefs.h. */ 10982/* confdefs.h. */
10750_ACEOF 10983_ACEOF
10780 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10781 (eval $ac_try) 2>&5 11014 (eval $ac_try) 2>&5
10782 ac_status=$? 11015 ac_status=$?
10783 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10784 (exit $ac_status); }; }; then 11017 (exit $ac_status); }; }; then
10785 rxvt_cv_struct_utmpx_host=yes 11018 struct_utmpx_host=yes
10786else 11019else
10787 echo "$as_me: failed program was:" >&5 11020 echo "$as_me: failed program was:" >&5
10788sed 's/^/| /' conftest.$ac_ext >&5 11021sed 's/^/| /' conftest.$ac_ext >&5
10789 11022
10790rxvt_cv_struct_utmpx_host=no 11023struct_utmpx_host=no
10791fi 11024fi
10792rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11025rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10793fi 11026fi
10794echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5 11027echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
10795echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6 11028echo "${ECHO_T}$struct_utmpx_host" >&6
10796if test x$rxvt_cv_struct_utmpx_host = xyes; then 11029if test x$struct_utmpx_host = xyes; then
10797 11030
10798cat >>confdefs.h <<\_ACEOF 11031cat >>confdefs.h <<\_ACEOF
10799#define HAVE_UTMPX_HOST 1 11032#define HAVE_UTMPX_HOST 1
10800_ACEOF 11033_ACEOF
10801 11034
10802fi 11035fi
10803 11036
10804echo "$as_me:$LINENO: checking for session in utmpx struct" >&5 11037echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
10805echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6 11038echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
10806if test "${rxvt_cv_struct_utmpx_session+set}" = set; then 11039if test "${struct_utmpx_session+set}" = set; then
10807 echo $ECHO_N "(cached) $ECHO_C" >&6 11040 echo $ECHO_N "(cached) $ECHO_C" >&6
10808else 11041else
10809 cat >conftest.$ac_ext <<_ACEOF 11042 cat >conftest.$ac_ext <<_ACEOF
10810/* confdefs.h. */ 11043/* confdefs.h. */
10811_ACEOF 11044_ACEOF
10841 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11074 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10842 (eval $ac_try) 2>&5 11075 (eval $ac_try) 2>&5
10843 ac_status=$? 11076 ac_status=$?
10844 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11077 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10845 (exit $ac_status); }; }; then 11078 (exit $ac_status); }; }; then
10846 rxvt_cv_struct_utmpx_session=yes 11079 struct_utmpx_session=yes
10847else 11080else
10848 echo "$as_me: failed program was:" >&5 11081 echo "$as_me: failed program was:" >&5
10849sed 's/^/| /' conftest.$ac_ext >&5 11082sed 's/^/| /' conftest.$ac_ext >&5
10850 11083
10851rxvt_cv_struct_utmpx_session=no 11084struct_utmpx_session=no
10852fi 11085fi
10853rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11086rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10854fi 11087fi
10855echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5 11088echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
10856echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6 11089echo "${ECHO_T}$struct_utmpx_session" >&6
10857if test x$rxvt_cv_struct_utmpx_session = xyes; then 11090if test x$struct_utmpx_session = xyes; then
10858 11091
10859cat >>confdefs.h <<\_ACEOF 11092cat >>confdefs.h <<\_ACEOF
10860#define HAVE_UTMPX_SESSION 1 11093#define HAVE_UTMPX_SESSION 1
10861_ACEOF 11094_ACEOF
10862 11095
10865fi 11098fi
10866 11099
10867 11100
10868echo "$as_me:$LINENO: checking for struct lastlog" >&5 11101echo "$as_me:$LINENO: checking for struct lastlog" >&5
10869echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 11102echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
10870if test "${rxvt_cv_struct_lastlog+set}" = set; then 11103if test "${struct_lastlog+set}" = set; then
10871 echo $ECHO_N "(cached) $ECHO_C" >&6 11104 echo $ECHO_N "(cached) $ECHO_C" >&6
10872else 11105else
10873 cat >conftest.$ac_ext <<_ACEOF 11106 cat >conftest.$ac_ext <<_ACEOF
10874/* confdefs.h. */ 11107/* confdefs.h. */
10875_ACEOF 11108_ACEOF
10909 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11142 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10910 (eval $ac_try) 2>&5 11143 (eval $ac_try) 2>&5
10911 ac_status=$? 11144 ac_status=$?
10912 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10913 (exit $ac_status); }; }; then 11146 (exit $ac_status); }; }; then
10914 rxvt_cv_struct_lastlog=yes 11147 struct_lastlog=yes
10915else 11148else
10916 echo "$as_me: failed program was:" >&5 11149 echo "$as_me: failed program was:" >&5
10917sed 's/^/| /' conftest.$ac_ext >&5 11150sed 's/^/| /' conftest.$ac_ext >&5
10918 11151
10919rxvt_cv_struct_lastlog=no 11152struct_lastlog=no
10920fi 11153fi
10921rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11154rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10922fi 11155fi
10923echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5 11156echo "$as_me:$LINENO: result: $struct_lastlog" >&5
10924echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6 11157echo "${ECHO_T}$struct_lastlog" >&6
10925if test x$rxvt_cv_struct_lastlog = xyes; then 11158if test x$struct_lastlog = xyes; then
10926 11159
10927cat >>confdefs.h <<\_ACEOF 11160cat >>confdefs.h <<\_ACEOF
10928#define HAVE_STRUCT_LASTLOG 1 11161#define HAVE_STRUCT_LASTLOG 1
10929_ACEOF 11162_ACEOF
10930 11163
10931fi 11164fi
10932 11165
10933echo "$as_me:$LINENO: checking for struct lastlogx" >&5 11166echo "$as_me:$LINENO: checking for struct lastlogx" >&5
10934echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6 11167echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
10935if test "${rxvt_cv_struct_lastlogx+set}" = set; then 11168if test "${struct_lastlogx+set}" = set; then
10936 echo $ECHO_N "(cached) $ECHO_C" >&6 11169 echo $ECHO_N "(cached) $ECHO_C" >&6
10937else 11170else
10938 cat >conftest.$ac_ext <<_ACEOF 11171 cat >conftest.$ac_ext <<_ACEOF
10939/* confdefs.h. */ 11172/* confdefs.h. */
10940_ACEOF 11173_ACEOF
10974 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11207 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10975 (eval $ac_try) 2>&5 11208 (eval $ac_try) 2>&5
10976 ac_status=$? 11209 ac_status=$?
10977 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11210 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10978 (exit $ac_status); }; }; then 11211 (exit $ac_status); }; }; then
10979 rxvt_cv_struct_lastlogx=yes 11212 struct_lastlogx=yes
10980else 11213else
10981 echo "$as_me: failed program was:" >&5 11214 echo "$as_me: failed program was:" >&5
10982sed 's/^/| /' conftest.$ac_ext >&5 11215sed 's/^/| /' conftest.$ac_ext >&5
10983 11216
10984rxvt_cv_struct_lastlogx=no 11217struct_lastlogx=no
10985fi 11218fi
10986rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11219rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10987fi 11220fi
10988echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5 11221echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
10989echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6 11222echo "${ECHO_T}$struct_lastlogx" >&6
10990if test x$rxvt_cv_struct_lastlogx = xyes; then 11223if test x$struct_lastlogx = xyes; then
10991 11224
10992cat >>confdefs.h <<\_ACEOF 11225cat >>confdefs.h <<\_ACEOF
10993#define HAVE_STRUCT_LASTLOGX 1 11226#define HAVE_STRUCT_LASTLOGX 1
10994_ACEOF 11227_ACEOF
10995 11228
10996fi 11229fi
10997 11230
10998 11231
10999echo "$as_me:$LINENO: checking where utmp is located" >&5 11232echo "$as_me:$LINENO: checking where utmp is located" >&5
11000echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6 11233echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11001if test "${rxvt_cv_path_utmp+set}" = set; then 11234if test "${path_utmp+set}" = set; then
11002 echo $ECHO_N "(cached) $ECHO_C" >&6 11235 echo $ECHO_N "(cached) $ECHO_C" >&6
11003else 11236else
11004 if test "$cross_compiling" = yes; then 11237 if test "$cross_compiling" = yes; then
11005 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5 11238 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
11006echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;} 11239echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
11007else 11240else
11008 cat >conftest.$ac_ext <<_ACEOF 11241 cat >conftest.$ac_ext <<_ACEOF
11009/* confdefs.h. */ 11242/* confdefs.h. */
11010_ACEOF 11243_ACEOF
11011cat confdefs.h >>conftest.$ac_ext 11244cat confdefs.h >>conftest.$ac_ext
11047 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11048 (eval $ac_try) 2>&5 11281 (eval $ac_try) 2>&5
11049 ac_status=$? 11282 ac_status=$?
11050 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11283 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11051 (exit $ac_status); }; }; then 11284 (exit $ac_status); }; }; then
11052 rxvt_cv_path_utmp=`cat conftestval` 11285 path_utmp=`cat conftestval`
11053else 11286else
11054 echo "$as_me: program exited with status $ac_status" >&5 11287 echo "$as_me: program exited with status $ac_status" >&5
11055echo "$as_me: failed program was:" >&5 11288echo "$as_me: failed program was:" >&5
11056sed 's/^/| /' conftest.$ac_ext >&5 11289sed 's/^/| /' conftest.$ac_ext >&5
11057 11290
11058( exit $ac_status ) 11291( exit $ac_status )
11059rxvt_cv_path_utmp= 11292path_utmp=
11060fi 11293fi
11061rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11294rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11062fi 11295fi
11063fi 11296fi
11064echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5 11297echo "$as_me:$LINENO: result: $path_utmp" >&5
11065echo "${ECHO_T}$rxvt_cv_path_utmp" >&6 11298echo "${ECHO_T}$path_utmp" >&6
11066if test x$rxvt_cv_path_utmp != x; then 11299if test x$path_utmp != x; then
11067 11300
11068cat >>confdefs.h <<_ACEOF 11301cat >>confdefs.h <<_ACEOF
11069#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp" 11302#define UTMP_FILE "$path_utmp"
11070_ACEOF 11303_ACEOF
11071 11304
11072fi 11305fi
11073 11306
11074 11307
11075echo "$as_me:$LINENO: checking where utmpx is located" >&5 11308echo "$as_me:$LINENO: checking where utmpx is located" >&5
11076echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6 11309echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11077if test "${rxvt_cv_path_utmpx+set}" = set; then 11310if test "${path_utmpx+set}" = set; then
11078 echo $ECHO_N "(cached) $ECHO_C" >&6 11311 echo $ECHO_N "(cached) $ECHO_C" >&6
11079else 11312else
11080 if test "$cross_compiling" = yes; then 11313 if test "$cross_compiling" = yes; then
11081 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5 11314 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
11082echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;} 11315echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
11083else 11316else
11084 cat >conftest.$ac_ext <<_ACEOF 11317 cat >conftest.$ac_ext <<_ACEOF
11085/* confdefs.h. */ 11318/* confdefs.h. */
11086_ACEOF 11319_ACEOF
11087cat confdefs.h >>conftest.$ac_ext 11320cat confdefs.h >>conftest.$ac_ext
11133 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11366 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11134 (eval $ac_try) 2>&5 11367 (eval $ac_try) 2>&5
11135 ac_status=$? 11368 ac_status=$?
11136 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11369 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11137 (exit $ac_status); }; }; then 11370 (exit $ac_status); }; }; then
11138 rxvt_cv_path_utmpx=`cat conftestval` 11371 path_utmpx=`cat conftestval`
11139else 11372else
11140 echo "$as_me: program exited with status $ac_status" >&5 11373 echo "$as_me: program exited with status $ac_status" >&5
11141echo "$as_me: failed program was:" >&5 11374echo "$as_me: failed program was:" >&5
11142sed 's/^/| /' conftest.$ac_ext >&5 11375sed 's/^/| /' conftest.$ac_ext >&5
11143 11376
11144( exit $ac_status ) 11377( exit $ac_status )
11145rxvt_cv_path_utmpx= 11378path_utmpx=
11146fi 11379fi
11147rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11380rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11148fi 11381fi
11149fi 11382fi
11150echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5 11383echo "$as_me:$LINENO: result: $path_utmpx" >&5
11151echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6 11384echo "${ECHO_T}$path_utmpx" >&6
11152if test x$rxvt_cv_path_utmpx != x; then 11385if test x$path_utmpx != x; then
11153 11386
11154cat >>confdefs.h <<_ACEOF 11387cat >>confdefs.h <<_ACEOF
11155#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx" 11388#define UTMPX_FILE "$path_utmpx"
11156_ACEOF 11389_ACEOF
11157 11390
11158fi 11391fi
11159 11392
11160 11393
11161echo "$as_me:$LINENO: checking where wtmp is located" >&5 11394echo "$as_me:$LINENO: checking where wtmp is located" >&5
11162echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6 11395echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11163if test "${rxvt_cv_path_wtmp+set}" = set; then 11396if test "${path_wtmp+set}" = set; then
11164 echo $ECHO_N "(cached) $ECHO_C" >&6 11397 echo $ECHO_N "(cached) $ECHO_C" >&6
11165else 11398else
11166 if test "$cross_compiling" = yes; then 11399 if test "$cross_compiling" = yes; then
11167 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5 11400 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
11168echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;} 11401echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
11169else 11402else
11170 cat >conftest.$ac_ext <<_ACEOF 11403 cat >conftest.$ac_ext <<_ACEOF
11171/* confdefs.h. */ 11404/* confdefs.h. */
11172_ACEOF 11405_ACEOF
11173cat confdefs.h >>conftest.$ac_ext 11406cat confdefs.h >>conftest.$ac_ext
11211 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11444 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11212 (eval $ac_try) 2>&5 11445 (eval $ac_try) 2>&5
11213 ac_status=$? 11446 ac_status=$?
11214 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11447 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11215 (exit $ac_status); }; }; then 11448 (exit $ac_status); }; }; then
11216 rxvt_cv_path_wtmp=`cat conftestval` 11449 path_wtmp=`cat conftestval`
11217else 11450else
11218 echo "$as_me: program exited with status $ac_status" >&5 11451 echo "$as_me: program exited with status $ac_status" >&5
11219echo "$as_me: failed program was:" >&5 11452echo "$as_me: failed program was:" >&5
11220sed 's/^/| /' conftest.$ac_ext >&5 11453sed 's/^/| /' conftest.$ac_ext >&5
11221 11454
11222( exit $ac_status ) 11455( exit $ac_status )
11223rxvt_cv_path_wtmp= 11456path_wtmp=
11224fi 11457fi
11225rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11458rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11226fi 11459fi
11227fi 11460fi
11228echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5 11461echo "$as_me:$LINENO: result: $path_wtmp" >&5
11229echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6 11462echo "${ECHO_T}$path_wtmp" >&6
11230if test x$rxvt_cv_path_wtmp != x; then 11463if test x$path_wtmp != x; then
11231 11464
11232cat >>confdefs.h <<_ACEOF 11465cat >>confdefs.h <<_ACEOF
11233#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp" 11466#define WTMP_FILE "$path_wtmp"
11234_ACEOF 11467_ACEOF
11235 11468
11236fi 11469fi
11237 11470
11238echo "$as_me:$LINENO: checking where wtmpx is located" >&5 11471echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11239echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6 11472echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11240if test "${rxvt_cv_path_wtmpx+set}" = set; then 11473if test "${path_wtmpx+set}" = set; then
11241 echo $ECHO_N "(cached) $ECHO_C" >&6 11474 echo $ECHO_N "(cached) $ECHO_C" >&6
11242else 11475else
11243 if test "$cross_compiling" = yes; then 11476 if test "$cross_compiling" = yes; then
11244 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5 11477 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
11245echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;} 11478echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
11246else 11479else
11247 cat >conftest.$ac_ext <<_ACEOF 11480 cat >conftest.$ac_ext <<_ACEOF
11248/* confdefs.h. */ 11481/* confdefs.h. */
11249_ACEOF 11482_ACEOF
11250cat confdefs.h >>conftest.$ac_ext 11483cat confdefs.h >>conftest.$ac_ext
11287 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11520 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11288 (eval $ac_try) 2>&5 11521 (eval $ac_try) 2>&5
11289 ac_status=$? 11522 ac_status=$?
11290 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11523 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11291 (exit $ac_status); }; }; then 11524 (exit $ac_status); }; }; then
11292 rxvt_cv_path_wtmpx=`cat conftestval` 11525 path_wtmpx=`cat conftestval`
11293else 11526else
11294 echo "$as_me: program exited with status $ac_status" >&5 11527 echo "$as_me: program exited with status $ac_status" >&5
11295echo "$as_me: failed program was:" >&5 11528echo "$as_me: failed program was:" >&5
11296sed 's/^/| /' conftest.$ac_ext >&5 11529sed 's/^/| /' conftest.$ac_ext >&5
11297 11530
11298( exit $ac_status ) 11531( exit $ac_status )
11299rxvt_cv_path_wtmpx= 11532path_wtmpx=
11300fi 11533fi
11301rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11534rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11302fi 11535fi
11303fi 11536fi
11304echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5 11537echo "$as_me:$LINENO: result: $path_wtmpx" >&5
11305echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6 11538echo "${ECHO_T}$path_wtmpx" >&6
11306if test x$rxvt_cv_path_wtmpx != x; then 11539if test x$path_wtmpx != x; then
11307 11540
11308cat >>confdefs.h <<_ACEOF 11541cat >>confdefs.h <<_ACEOF
11309#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx" 11542#define WTMPX_FILE "$path_wtmpx"
11310_ACEOF 11543_ACEOF
11311 11544
11312fi 11545fi
11313 11546
11314echo "$as_me:$LINENO: checking where lastlog is located" >&5 11547echo "$as_me:$LINENO: checking where lastlog is located" >&5
11315echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6 11548echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11316if test "${rxvt_cv_path_lastlog+set}" = set; then 11549if test "${path_lastlog+set}" = set; then
11317 echo $ECHO_N "(cached) $ECHO_C" >&6 11550 echo $ECHO_N "(cached) $ECHO_C" >&6
11318else 11551else
11319 if test "$cross_compiling" = yes; then 11552 if test "$cross_compiling" = yes; then
11320 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5 11553 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
11321echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;} 11554echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
11322else 11555else
11323 cat >conftest.$ac_ext <<_ACEOF 11556 cat >conftest.$ac_ext <<_ACEOF
11324/* confdefs.h. */ 11557/* confdefs.h. */
11325_ACEOF 11558_ACEOF
11326cat confdefs.h >>conftest.$ac_ext 11559cat confdefs.h >>conftest.$ac_ext
11368 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11601 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11369 (eval $ac_try) 2>&5 11602 (eval $ac_try) 2>&5
11370 ac_status=$? 11603 ac_status=$?
11371 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11604 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11372 (exit $ac_status); }; }; then 11605 (exit $ac_status); }; }; then
11373 rxvt_cv_path_lastlog=`cat conftestval` 11606 path_lastlog=`cat conftestval`
11374else 11607else
11375 echo "$as_me: program exited with status $ac_status" >&5 11608 echo "$as_me: program exited with status $ac_status" >&5
11376echo "$as_me: failed program was:" >&5 11609echo "$as_me: failed program was:" >&5
11377sed 's/^/| /' conftest.$ac_ext >&5 11610sed 's/^/| /' conftest.$ac_ext >&5
11378 11611
11379( exit $ac_status ) 11612( exit $ac_status )
11380rxvt_cv_path_lastlog= 11613path_lastlog=
11381fi 11614fi
11382rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11615rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11383fi 11616fi
11384fi 11617fi
11385echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5 11618echo "$as_me:$LINENO: result: $path_lastlog" >&5
11386echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6 11619echo "${ECHO_T}$path_lastlog" >&6
11387if test x$rxvt_cv_path_lastlog != x; then 11620if test x$path_lastlog != x; then
11388 11621
11389cat >>confdefs.h <<_ACEOF 11622cat >>confdefs.h <<_ACEOF
11390#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog" 11623#define LASTLOG_FILE "$path_lastlog"
11391_ACEOF 11624_ACEOF
11392 11625
11393 if test -d "$rxvt_cv_path_lastlog"; then 11626 if test -d "$path_lastlog"; then
11394 11627
11395cat >>confdefs.h <<\_ACEOF 11628cat >>confdefs.h <<\_ACEOF
11396#define LASTLOG_IS_DIR 1 11629#define LASTLOG_IS_DIR 1
11397_ACEOF 11630_ACEOF
11398 11631
11399 fi 11632 fi
11400fi 11633fi
11401 11634
11402echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11635echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11403echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6 11636echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11404if test "${rxvt_cv_path_lastlogx+set}" = set; then 11637if test "${path_lastlogx+set}" = set; then
11405 echo $ECHO_N "(cached) $ECHO_C" >&6 11638 echo $ECHO_N "(cached) $ECHO_C" >&6
11406else 11639else
11407 if test "$cross_compiling" = yes; then 11640 if test "$cross_compiling" = yes; then
11408 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5 11641 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
11409echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;} 11642echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
11410else 11643else
11411 cat >conftest.$ac_ext <<_ACEOF 11644 cat >conftest.$ac_ext <<_ACEOF
11412/* confdefs.h. */ 11645/* confdefs.h. */
11413_ACEOF 11646_ACEOF
11414cat confdefs.h >>conftest.$ac_ext 11647cat confdefs.h >>conftest.$ac_ext
11450 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11683 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11451 (eval $ac_try) 2>&5 11684 (eval $ac_try) 2>&5
11452 ac_status=$? 11685 ac_status=$?
11453 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11686 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11454 (exit $ac_status); }; }; then 11687 (exit $ac_status); }; }; then
11455 rxvt_cv_path_lastlogx=`cat conftestval` 11688 path_lastlogx=`cat conftestval`
11456else 11689else
11457 echo "$as_me: program exited with status $ac_status" >&5 11690 echo "$as_me: program exited with status $ac_status" >&5
11458echo "$as_me: failed program was:" >&5 11691echo "$as_me: failed program was:" >&5
11459sed 's/^/| /' conftest.$ac_ext >&5 11692sed 's/^/| /' conftest.$ac_ext >&5
11460 11693
11461( exit $ac_status ) 11694( exit $ac_status )
11462rxvt_cv_path_lastlogx= 11695path_lastlogx=
11463fi 11696fi
11464rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11697rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11465fi 11698fi
11466fi 11699fi
11467echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5 11700echo "$as_me:$LINENO: result: $path_lastlogx" >&5
11468echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6 11701echo "${ECHO_T}$path_lastlogx" >&6
11469if test x$rxvt_cv_path_lastlogx != x; then 11702if test x$path_lastlogx != x; then
11470 11703
11471cat >>confdefs.h <<_ACEOF 11704cat >>confdefs.h <<_ACEOF
11472#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx" 11705#define LASTLOGX_FILE "$path_lastlogx"
11473_ACEOF 11706_ACEOF
11474 11707
11475fi 11708fi
11709
11476 11710
11477 11711
11478echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 11712echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11479echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 11713echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11480if test "${rxvt_cv_path_ttytab+set}" = set; then 11714if test "${rxvt_cv_path_ttytab+set}" = set; then
11747#define HAVE_NL_LANGINFO 1 11981#define HAVE_NL_LANGINFO 1
11748_ACEOF 11982_ACEOF
11749 11983
11750fi 11984fi
11751 11985
11986
11752echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 11987echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11753echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6 11988echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11754if test "${rxvt_can_pass_fds+set}" = set; then 11989if test "${can_pass_fds+set}" = set; then
11755 echo $ECHO_N "(cached) $ECHO_C" >&6 11990 echo $ECHO_N "(cached) $ECHO_C" >&6
11756else 11991else
11757 cat >conftest.$ac_ext <<_ACEOF 11992 cat >conftest.$ac_ext <<_ACEOF
11758/* confdefs.h. */ 11993/* confdefs.h. */
11759_ACEOF 11994_ACEOF
11760cat confdefs.h >>conftest.$ac_ext 11995cat confdefs.h >>conftest.$ac_ext
11761cat >>conftest.$ac_ext <<_ACEOF 11996cat >>conftest.$ac_ext <<_ACEOF
11762/* end confdefs.h. */ 11997/* end confdefs.h. */
11763 11998
11999#include <cstddef> // broken bsds (is that redundant) need this
11764#include <sys/types.h> 12000#include <sys/types.h>
11765#include <sys/socket.h> 12001#include <sys/socket.h>
12002#include <sys/uio.h>
11766 12003
11767int 12004int
11768main () 12005main ()
11769{ 12006{
11770 12007
11815 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12052 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11816 (eval $ac_try) 2>&5 12053 (eval $ac_try) 2>&5
11817 ac_status=$? 12054 ac_status=$?
11818 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12055 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11819 (exit $ac_status); }; }; then 12056 (exit $ac_status); }; }; then
11820 rxvt_can_pass_fds=yes 12057 can_pass_fds=yes
11821else 12058else
11822 echo "$as_me: failed program was:" >&5 12059 echo "$as_me: failed program was:" >&5
11823sed 's/^/| /' conftest.$ac_ext >&5 12060sed 's/^/| /' conftest.$ac_ext >&5
11824 12061
11825rxvt_can_pass_fds=no 12062can_pass_fds=no
11826fi 12063fi
11827rm -f conftest.err conftest.$ac_objext \ 12064rm -f conftest.err conftest.$ac_objext \
11828 conftest$ac_exeext conftest.$ac_ext 12065 conftest$ac_exeext conftest.$ac_ext
11829fi 12066fi
11830echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5 12067echo "$as_me:$LINENO: result: $can_pass_fds" >&5
11831echo "${ECHO_T}$rxvt_can_pass_fds" >&6 12068echo "${ECHO_T}$can_pass_fds" >&6
11832if test x$rxvt_can_pass_fds = xyes; then 12069if test x$can_pass_fds = xyes; then
11833 12070
11834cat >>confdefs.h <<\_ACEOF 12071cat >>confdefs.h <<\_ACEOF
11835#define HAVE_UNIX_FDPASS 1 12072#define HAVE_UNIX_FDPASS 1
11836_ACEOF 12073_ACEOF
11837 12074
11838else 12075else
11839 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5 12076 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
11840echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;} 12077echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
11841 { (exit 1); exit 1; }; } 12078 { (exit 1); exit 1; }; }
11842fi 12079fi
12080
11843 12081
11844echo "$as_me:$LINENO: checking for broken XIM callback" >&5 12082echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11845echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 12083echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11846if test "${rxvt_broken_ximcb+set}" = set; then 12084if test "${rxvt_broken_ximcb+set}" = set; then
11847 echo $ECHO_N "(cached) $ECHO_C" >&6 12085 echo $ECHO_N "(cached) $ECHO_C" >&6
11897#define XIMCB_PROTO_BROKEN 1 12135#define XIMCB_PROTO_BROKEN 1
11898_ACEOF 12136_ACEOF
11899 12137
11900fi 12138fi
11901 12139
11902if test x$ac_cv_func_getpt = xno -a x$ac_cv_func_posix_openpt = xno; then 12140
12141
12142
12143
12144
12145
12146for ac_header in \
12147 pty.h \
12148 util.h \
12149 libutil.h \
12150 sys/ioctl.h \
12151 sys/stropts.h \
12152
12153do
12154as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12155if eval "test \"\${$as_ac_Header+set}\" = set"; then
11903 echo "$as_me:$LINENO: checking for openpty" >&5 12156 echo "$as_me:$LINENO: checking for $ac_header" >&5
11904echo $ECHO_N "checking for openpty... $ECHO_C" >&6 12157echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
11905if test "${ac_cv_func_openpty+set}" = set; then 12158if eval "test \"\${$as_ac_Header+set}\" = set"; then
11906 echo $ECHO_N "(cached) $ECHO_C" >&6 12159 echo $ECHO_N "(cached) $ECHO_C" >&6
12160fi
12161echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12162echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
11907else 12163else
12164 # Is the header compilable?
12165echo "$as_me:$LINENO: checking $ac_header usability" >&5
12166echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
11908 cat >conftest.$ac_ext <<_ACEOF 12167cat >conftest.$ac_ext <<_ACEOF
11909/* confdefs.h. */ 12168/* confdefs.h. */
11910_ACEOF 12169_ACEOF
11911cat confdefs.h >>conftest.$ac_ext 12170cat confdefs.h >>conftest.$ac_ext
11912cat >>conftest.$ac_ext <<_ACEOF 12171cat >>conftest.$ac_ext <<_ACEOF
11913/* end confdefs.h. */ 12172/* end confdefs.h. */
12173$ac_includes_default
12174#include <$ac_header>
12175_ACEOF
12176rm -f conftest.$ac_objext
12177if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12178 (eval $ac_compile) 2>conftest.er1
12179 ac_status=$?
12180 grep -v '^ *+' conftest.er1 >conftest.err
12181 rm -f conftest.er1
12182 cat conftest.err >&5
12183 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12184 (exit $ac_status); } &&
12185 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12186 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12187 (eval $ac_try) 2>&5
12188 ac_status=$?
12189 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12190 (exit $ac_status); }; } &&
12191 { ac_try='test -s conftest.$ac_objext'
12192 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12193 (eval $ac_try) 2>&5
12194 ac_status=$?
12195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12196 (exit $ac_status); }; }; then
12197 ac_header_compiler=yes
12198else
12199 echo "$as_me: failed program was:" >&5
12200sed 's/^/| /' conftest.$ac_ext >&5
12201
12202ac_header_compiler=no
12203fi
12204rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12205echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12206echo "${ECHO_T}$ac_header_compiler" >&6
12207
12208# Is the header present?
12209echo "$as_me:$LINENO: checking $ac_header presence" >&5
12210echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
12211cat >conftest.$ac_ext <<_ACEOF
12212/* confdefs.h. */
12213_ACEOF
12214cat confdefs.h >>conftest.$ac_ext
12215cat >>conftest.$ac_ext <<_ACEOF
12216/* end confdefs.h. */
12217#include <$ac_header>
12218_ACEOF
12219if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12220 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12221 ac_status=$?
12222 grep -v '^ *+' conftest.er1 >conftest.err
12223 rm -f conftest.er1
12224 cat conftest.err >&5
12225 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12226 (exit $ac_status); } >/dev/null; then
12227 if test -s conftest.err; then
12228 ac_cpp_err=$ac_cxx_preproc_warn_flag
12229 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12230 else
12231 ac_cpp_err=
12232 fi
12233else
12234 ac_cpp_err=yes
12235fi
12236if test -z "$ac_cpp_err"; then
12237 ac_header_preproc=yes
12238else
12239 echo "$as_me: failed program was:" >&5
12240sed 's/^/| /' conftest.$ac_ext >&5
12241
12242 ac_header_preproc=no
12243fi
12244rm -f conftest.err conftest.$ac_ext
12245echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12246echo "${ECHO_T}$ac_header_preproc" >&6
12247
12248# So? What about this header?
12249case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12250 yes:no: )
12251 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
12252echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
12253 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
12254echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
12255 ac_header_preproc=yes
12256 ;;
12257 no:yes:* )
12258 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
12259echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
12260 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
12261echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
12262 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
12263echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
12264 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
12265echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
12266 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
12267echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
12268 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
12269echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
12270 (
12271 cat <<\_ASBOX
12272## ------------------------------------------ ##
12273## Report this to the AC_PACKAGE_NAME lists. ##
12274## ------------------------------------------ ##
12275_ASBOX
12276 ) |
12277 sed "s/^/$as_me: WARNING: /" >&2
12278 ;;
12279esac
12280echo "$as_me:$LINENO: checking for $ac_header" >&5
12281echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12282if eval "test \"\${$as_ac_Header+set}\" = set"; then
12283 echo $ECHO_N "(cached) $ECHO_C" >&6
12284else
12285 eval "$as_ac_Header=\$ac_header_preproc"
12286fi
12287echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12288echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12289
12290fi
12291if test `eval echo '${'$as_ac_Header'}'` = yes; then
12292 cat >>confdefs.h <<_ACEOF
12293#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12294_ACEOF
12295
12296fi
12297
12298done
12299
12300
12301
12302
12303
12304
12305
12306for ac_func in \
12307 revoke \
12308 _getpty \
12309 getpt \
12310 posix_openpt \
12311 isastream \
12312
12313do
12314as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12315echo "$as_me:$LINENO: checking for $ac_func" >&5
12316echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12317if eval "test \"\${$as_ac_var+set}\" = set"; then
12318 echo $ECHO_N "(cached) $ECHO_C" >&6
12319else
12320 cat >conftest.$ac_ext <<_ACEOF
12321/* confdefs.h. */
12322_ACEOF
12323cat confdefs.h >>conftest.$ac_ext
12324cat >>conftest.$ac_ext <<_ACEOF
12325/* end confdefs.h. */
11914/* Define openpty to an innocuous variant, in case <limits.h> declares openpty. 12326/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
11915 For example, HP-UX 11i <limits.h> declares gettimeofday. */ 12327 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11916#define openpty innocuous_openpty 12328#define $ac_func innocuous_$ac_func
11917 12329
11918/* System header to define __stub macros and hopefully few prototypes, 12330/* System header to define __stub macros and hopefully few prototypes,
11919 which can conflict with char openpty (); below. 12331 which can conflict with char $ac_func (); below.
11920 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 12332 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
11921 <limits.h> exists even on freestanding compilers. */ 12333 <limits.h> exists even on freestanding compilers. */
11922 12334
11923#ifdef __STDC__ 12335#ifdef __STDC__
11924# include <limits.h> 12336# include <limits.h>
11925#else 12337#else
11926# include <assert.h> 12338# include <assert.h>
11927#endif 12339#endif
11928 12340
11929#undef openpty 12341#undef $ac_func
11930 12342
11931/* Override any gcc2 internal prototype to avoid an error. */ 12343/* Override any gcc2 internal prototype to avoid an error. */
11932#ifdef __cplusplus 12344#ifdef __cplusplus
11933extern "C" 12345extern "C"
11934{ 12346{
11935#endif 12347#endif
11936/* We use char because int might match the return type of a gcc2 12348/* We use char because int might match the return type of a gcc2
11937 builtin and then its argument prototype would still apply. */ 12349 builtin and then its argument prototype would still apply. */
11938char openpty (); 12350char $ac_func ();
11939/* The GNU C library defines this for functions which it implements 12351/* The GNU C library defines this for functions which it implements
11940 to always fail with ENOSYS. Some functions are actually named 12352 to always fail with ENOSYS. Some functions are actually named
11941 something starting with __ and the normal name is an alias. */ 12353 something starting with __ and the normal name is an alias. */
11942#if defined (__stub_openpty) || defined (__stub___openpty) 12354#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
11943choke me 12355choke me
11944#else 12356#else
11945char (*f) () = openpty; 12357char (*f) () = $ac_func;
11946#endif 12358#endif
11947#ifdef __cplusplus 12359#ifdef __cplusplus
11948} 12360}
11949#endif 12361#endif
11950 12362
11951int 12363int
11952main () 12364main ()
11953{ 12365{
11954return f != openpty; 12366return f != $ac_func;
11955 ; 12367 ;
11956 return 0; 12368 return 0;
11957} 12369}
11958_ACEOF 12370_ACEOF
11959rm -f conftest.$ac_objext conftest$ac_exeext 12371rm -f conftest.$ac_objext conftest$ac_exeext
11975 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12387 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11976 (eval $ac_try) 2>&5 12388 (eval $ac_try) 2>&5
11977 ac_status=$? 12389 ac_status=$?
11978 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12390 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11979 (exit $ac_status); }; }; then 12391 (exit $ac_status); }; }; then
11980 ac_cv_func_openpty=yes 12392 eval "$as_ac_var=yes"
11981else 12393else
11982 echo "$as_me: failed program was:" >&5 12394 echo "$as_me: failed program was:" >&5
11983sed 's/^/| /' conftest.$ac_ext >&5 12395sed 's/^/| /' conftest.$ac_ext >&5
11984 12396
11985ac_cv_func_openpty=no 12397eval "$as_ac_var=no"
11986fi 12398fi
11987rm -f conftest.err conftest.$ac_objext \ 12399rm -f conftest.err conftest.$ac_objext \
11988 conftest$ac_exeext conftest.$ac_ext 12400 conftest$ac_exeext conftest.$ac_ext
11989fi 12401fi
12402echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12403echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12404if test `eval echo '${'$as_ac_var'}'` = yes; then
12405 cat >>confdefs.h <<_ACEOF
12406#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12407_ACEOF
12408
12409fi
12410done
12411
12412
12413have_clone=no
12414
12415echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
12416echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
12417if test -e /dev/ptym/clone; then
12418 echo "$as_me:$LINENO: result: yes" >&5
12419echo "${ECHO_T}yes" >&6
12420
12421cat >>confdefs.h <<\_ACEOF
12422#define HAVE_DEV_CLONE 1
12423_ACEOF
12424
12425
12426cat >>confdefs.h <<\_ACEOF
12427#define CLONE_DEVICE "/dev/ptym/clone"
12428_ACEOF
12429
12430 have_clone=yes
12431else
12432 echo "$as_me:$LINENO: result: no" >&5
12433echo "${ECHO_T}no" >&6
12434fi
12435
12436echo "$as_me:$LINENO: checking for /dev/ptc" >&5
12437echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
12438if test -e /dev/ptc; then
12439 echo "$as_me:$LINENO: result: yes" >&5
12440echo "${ECHO_T}yes" >&6
12441
12442cat >>confdefs.h <<\_ACEOF
12443#define HAVE_DEV_PTC 1
12444_ACEOF
12445
12446
12447cat >>confdefs.h <<\_ACEOF
12448#define CLONE_DEVICE "/dev/ptc"
12449_ACEOF
12450
12451 have_clone=yes
12452else
12453 echo "$as_me:$LINENO: result: no" >&5
12454echo "${ECHO_T}no" >&6
12455fi
12456
12457case $host in
12458 *-*-cygwin*)
12459 have_clone=yes
12460
12461cat >>confdefs.h <<\_ACEOF
12462#define CLONE_DEVICE "/dev/ptmx"
12463_ACEOF
12464
12465 ;;
12466 *)
12467 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
12468echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
12469 if test -e /dev/ptmx; then
12470 echo "$as_me:$LINENO: result: yes" >&5
12471echo "${ECHO_T}yes" >&6
12472
12473cat >>confdefs.h <<\_ACEOF
12474#define HAVE_DEV_PTMX 1
12475_ACEOF
12476
12477
12478cat >>confdefs.h <<\_ACEOF
12479#define CLONE_DEVICE "/dev/ptmx"
12480_ACEOF
12481
12482 have_clone=yes
12483 else
12484 echo "$as_me:$LINENO: result: no" >&5
12485echo "${ECHO_T}no" >&6
12486 fi
12487 ;;
12488esac
12489
12490if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
12491 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
12492echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
12493 cat >conftest.$ac_ext <<_ACEOF
12494/* confdefs.h. */
12495_ACEOF
12496cat confdefs.h >>conftest.$ac_ext
12497cat >>conftest.$ac_ext <<_ACEOF
12498/* end confdefs.h. */
12499#include <stdlib.h>
12500int
12501main ()
12502{
12503grantpt(0);unlockpt(0);ptsname(0);
12504 ;
12505 return 0;
12506}
12507_ACEOF
12508rm -f conftest.$ac_objext conftest$ac_exeext
12509if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12510 (eval $ac_link) 2>conftest.er1
12511 ac_status=$?
12512 grep -v '^ *+' conftest.er1 >conftest.err
12513 rm -f conftest.er1
12514 cat conftest.err >&5
12515 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12516 (exit $ac_status); } &&
12517 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12518 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12519 (eval $ac_try) 2>&5
12520 ac_status=$?
12521 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12522 (exit $ac_status); }; } &&
12523 { ac_try='test -s conftest$ac_exeext'
12524 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12525 (eval $ac_try) 2>&5
12526 ac_status=$?
12527 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12528 (exit $ac_status); }; }; then
12529 unix98_pty=yes
12530
12531cat >>confdefs.h <<\_ACEOF
12532#define UNIX98_PTY 1
12533_ACEOF
12534
12535 echo "$as_me:$LINENO: result: yes" >&5
12536echo "${ECHO_T}yes" >&6
12537else
12538 echo "$as_me: failed program was:" >&5
12539sed 's/^/| /' conftest.$ac_ext >&5
12540
11990echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5 12541echo "$as_me:$LINENO: result: no" >&5
11991echo "${ECHO_T}$ac_cv_func_openpty" >&6 12542echo "${ECHO_T}no" >&6
11992if test $ac_cv_func_openpty = yes; then 12543fi
11993 : 12544rm -f conftest.err conftest.$ac_objext \
12545 conftest$ac_exeext conftest.$ac_ext
12546fi
12547
12548if test -z "$unix98_pty"; then
12549
12550for ac_func in openpty
12551do
12552as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12553echo "$as_me:$LINENO: checking for $ac_func" >&5
12554echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12555if eval "test \"\${$as_ac_var+set}\" = set"; then
12556 echo $ECHO_N "(cached) $ECHO_C" >&6
12557else
12558 cat >conftest.$ac_ext <<_ACEOF
12559/* confdefs.h. */
12560_ACEOF
12561cat confdefs.h >>conftest.$ac_ext
12562cat >>conftest.$ac_ext <<_ACEOF
12563/* end confdefs.h. */
12564/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12565 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12566#define $ac_func innocuous_$ac_func
12567
12568/* System header to define __stub macros and hopefully few prototypes,
12569 which can conflict with char $ac_func (); below.
12570 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12571 <limits.h> exists even on freestanding compilers. */
12572
12573#ifdef __STDC__
12574# include <limits.h>
12575#else
12576# include <assert.h>
12577#endif
12578
12579#undef $ac_func
12580
12581/* Override any gcc2 internal prototype to avoid an error. */
12582#ifdef __cplusplus
12583extern "C"
12584{
12585#endif
12586/* We use char because int might match the return type of a gcc2
12587 builtin and then its argument prototype would still apply. */
12588char $ac_func ();
12589/* The GNU C library defines this for functions which it implements
12590 to always fail with ENOSYS. Some functions are actually named
12591 something starting with __ and the normal name is an alias. */
12592#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12593choke me
12594#else
12595char (*f) () = $ac_func;
12596#endif
12597#ifdef __cplusplus
12598}
12599#endif
12600
12601int
12602main ()
12603{
12604return f != $ac_func;
12605 ;
12606 return 0;
12607}
12608_ACEOF
12609rm -f conftest.$ac_objext conftest$ac_exeext
12610if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12611 (eval $ac_link) 2>conftest.er1
12612 ac_status=$?
12613 grep -v '^ *+' conftest.er1 >conftest.err
12614 rm -f conftest.er1
12615 cat conftest.err >&5
12616 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12617 (exit $ac_status); } &&
12618 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12619 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12620 (eval $ac_try) 2>&5
12621 ac_status=$?
12622 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12623 (exit $ac_status); }; } &&
12624 { ac_try='test -s conftest$ac_exeext'
12625 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12626 (eval $ac_try) 2>&5
12627 ac_status=$?
12628 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12629 (exit $ac_status); }; }; then
12630 eval "$as_ac_var=yes"
12631else
12632 echo "$as_me: failed program was:" >&5
12633sed 's/^/| /' conftest.$ac_ext >&5
12634
12635eval "$as_ac_var=no"
12636fi
12637rm -f conftest.err conftest.$ac_objext \
12638 conftest$ac_exeext conftest.$ac_ext
12639fi
12640echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12641echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12642if test `eval echo '${'$as_ac_var'}'` = yes; then
12643 cat >>confdefs.h <<_ACEOF
12644#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12645_ACEOF
12646
11994else 12647else
11995 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5 12648 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
11996echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6 12649echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
11997if test "${ac_cv_lib_util_openpty+set}" = set; then 12650if test "${ac_cv_lib_util_openpty+set}" = set; then
11998 echo $ECHO_N "(cached) $ECHO_C" >&6 12651 echo $ECHO_N "(cached) $ECHO_C" >&6
12054LIBS=$ac_check_lib_save_LIBS 12707LIBS=$ac_check_lib_save_LIBS
12055fi 12708fi
12056echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5 12709echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12057echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6 12710echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12058if test $ac_cv_lib_util_openpty = yes; then 12711if test $ac_cv_lib_util_openpty = yes; then
12712 cat >>confdefs.h <<\_ACEOF
12713#define HAVE_OPENPTY 1
12714_ACEOF
12059 LIBS="$LIBS -lutil" 12715 LIBS="$LIBS -lutil"
12060fi 12716fi
12061 12717
12062fi 12718fi
12719done
12063 12720
12064fi 12721fi
12065 12722
12723
12724if test x$support_xft = xyes; then
12725 # Extract the first word of "pkg-config", so it can be a program name with args.
12726set dummy pkg-config; ac_word=$2
12066echo "$as_me:$LINENO: checking for pty/tty type" >&5 12727echo "$as_me:$LINENO: checking for $ac_word" >&5
12067echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12728echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12068if test "${rxvt_cv_ptys+set}" = set; then 12729if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
12069 echo $ECHO_N "(cached) $ECHO_C" >&6 12730 echo $ECHO_N "(cached) $ECHO_C" >&6
12070else 12731else
12071 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then 12732 case $PKG_CONFIG in
12072 rxvt_cv_ptys=OPENPTY 12733 [\\/]* | ?:[\\/]*)
12073 else if test x$ac_cv_func_getpt = xyes; then 12734 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
12074 rxvt_cv_ptys=GLIBC 12735 ;;
12075 else if test x$ac_cv_func_posix_openpt = xyes; then 12736 *)
12076 rxvt_cv_ptys=POSIX 12737 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12077 else if test x$ac_cv_func__getpty = xyes; then 12738for as_dir in $PATH
12078 rxvt_cv_ptys=SGI4 12739do
12079 else if test -c /dev/ttyp20; then 12740 IFS=$as_save_IFS
12080 rxvt_cv_ptys=SCO 12741 test -z "$as_dir" && as_dir=.
12081 else if test -c /dev/ptym/clone; then 12742 for ac_exec_ext in '' $ac_executable_extensions; do
12082 rxvt_cv_ptys=HPUX 12743 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12083 else if test -c /dev/ptc -a -c /dev/pts; then 12744 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12084 rxvt_cv_ptys=PTC 12745 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12085 else if test -c /dev/ptc -a -d /dev/pts; then 12746 break 2
12086 rxvt_cv_ptys=PTC 12747 fi
12087 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12748done
12088 rxvt_cv_ptys=STREAMS 12749done
12089 else if test x$ac_cv_func_grantpt = xyes && test x$ac_cv_func_unlockpt = xyes; then 12750
12090 rxvt_cv_ptys=STREAMS 12751 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
12752 ;;
12753esac
12754fi
12755PKG_CONFIG=$ac_cv_path_PKG_CONFIG
12756
12757if test -n "$PKG_CONFIG"; then
12758 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
12759echo "${ECHO_T}$PKG_CONFIG" >&6
12760else
12761 echo "$as_me:$LINENO: result: no" >&5
12762echo "${ECHO_T}no" >&6
12763fi
12764
12765 # Extract the first word of "xft-config", so it can be a program name with args.
12766set dummy xft-config; ac_word=$2
12767echo "$as_me:$LINENO: checking for $ac_word" >&5
12768echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12769if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
12770 echo $ECHO_N "(cached) $ECHO_C" >&6
12771else
12772 case $XFT_CONFIG in
12773 [\\/]* | ?:[\\/]*)
12774 ac_cv_path_XFT_CONFIG="$XFT_CONFIG" # Let the user override the test with a path.
12775 ;;
12776 *)
12777 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12778for as_dir in $PATH
12779do
12780 IFS=$as_save_IFS
12781 test -z "$as_dir" && as_dir=.
12782 for ac_exec_ext in '' $ac_executable_extensions; do
12783 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12784 ac_cv_path_XFT_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12785 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12786 break 2
12787 fi
12788done
12789done
12790
12791 test -z "$ac_cv_path_XFT_CONFIG" && ac_cv_path_XFT_CONFIG="no"
12792 ;;
12793esac
12794fi
12795XFT_CONFIG=$ac_cv_path_XFT_CONFIG
12796
12797if test -n "$XFT_CONFIG"; then
12798 echo "$as_me:$LINENO: result: $XFT_CONFIG" >&5
12799echo "${ECHO_T}$XFT_CONFIG" >&6
12800else
12801 echo "$as_me:$LINENO: result: no" >&5
12802echo "${ECHO_T}no" >&6
12803fi
12804
12805 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12806 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12807 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12091 else 12808 else
12092 rxvt_cv_ptys=BSD 12809 if test $XFT_CONFIG != no; then
12093fi 12810 LIBS="$LIBS `$XFT_CONFIG --libs`"
12094fi 12811 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12095fi 12812 fi
12096fi 12813 fi
12097fi
12098fi
12099fi
12100fi
12101fi
12102fi
12103
12104fi
12105echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
12106echo "${ECHO_T}$rxvt_cv_ptys" >&6
12107
12108if test x$rxvt_cv_ptys = xGLIBC; then
12109
12110cat >>confdefs.h <<\_ACEOF
12111#define PTYS_ARE_GETPT 1
12112_ACEOF
12113
12114fi
12115if test x$rxvt_cv_ptys = xPOSIX; then
12116
12117cat >>confdefs.h <<\_ACEOF
12118#define PTYS_ARE_POSIX 1
12119_ACEOF
12120
12121fi
12122if test x$rxvt_cv_ptys = xOPENPTY; then
12123
12124cat >>confdefs.h <<\_ACEOF
12125#define PTYS_ARE_OPENPTY 1
12126_ACEOF
12127
12128fi
12129if test x$rxvt_cv_ptys = xSCO; then
12130
12131cat >>confdefs.h <<\_ACEOF
12132#define PTYS_ARE_NUMERIC 1
12133_ACEOF
12134
12135fi
12136if test x$rxvt_cv_ptys = xSTREAMS; then
12137
12138cat >>confdefs.h <<\_ACEOF
12139#define PTYS_ARE_PTMX 1
12140_ACEOF
12141
12142fi
12143if test x$rxvt_cv_ptys = xPTC; then
12144
12145cat >>confdefs.h <<\_ACEOF
12146#define PTYS_ARE_PTC 1
12147_ACEOF
12148
12149fi
12150if test x$rxvt_cv_ptys = xSGI4; then
12151
12152cat >>confdefs.h <<\_ACEOF
12153#define PTYS_ARE__GETPTY 1
12154_ACEOF
12155
12156fi
12157if test x$rxvt_cv_ptys = xHPUX; then
12158
12159cat >>confdefs.h <<\_ACEOF
12160#define PTYS_ARE_CLONE 1
12161_ACEOF
12162
12163fi
12164if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
12165
12166cat >>confdefs.h <<\_ACEOF
12167#define PTYS_ARE_SEARCHED 1
12168_ACEOF
12169
12170fi
12171
12172
12173{ echo "$as_me:$LINENO: checking for pty ranges..." >&5
12174echo "$as_me: checking for pty ranges..." >&6;}
12175ptys=`echo /dev/pty??`
12176pch1=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\).$/\1/g' | sort -u | tr -d '\012'`
12177pch2=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\)$/\1/g' | sort -u | tr -d '\012'`
12178if test x$pch1 != x; then
12179
12180cat >>confdefs.h <<_ACEOF
12181#define PTYCHAR1 "$pch1"
12182_ACEOF
12183
12184fi
12185if test x$pch2 != x; then
12186
12187cat >>confdefs.h <<_ACEOF
12188#define PTYCHAR2 "$pch2"
12189_ACEOF
12190
12191fi
12192
12193if test x$support_xft = xyes; then
12194 LIBS="$LIBS `pkg-config xft --libs`"
12195 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12196 12814
12197 12815
12198for ac_header in X11/Xft/Xft.h 12816for ac_header in X11/Xft/Xft.h
12199do 12817do
12200as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12818as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
13604s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 14222s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13605s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 14223s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13606s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 14224s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13607s,@rxvt_intp_define@,$rxvt_intp_define,;t t 14225s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13608s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 14226s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
14227s,@PKG_CONFIG@,$PKG_CONFIG,;t t
14228s,@XFT_CONFIG@,$XFT_CONFIG,;t t
13609s,@PERL@,$PERL,;t t 14229s,@PERL@,$PERL,;t t
13610s,@PERLLIB@,$PERLLIB,;t t 14230s,@PERLLIB@,$PERLLIB,;t t
13611s,@PERLFLAGS@,$PERLFLAGS,;t t 14231s,@PERLFLAGS@,$PERLFLAGS,;t t
13612s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t 14232s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13613s,@IF_PERL@,$IF_PERL,;t t 14233s,@IF_PERL@,$IF_PERL,;t t
14144 14764
14145if test x$support_xpm = xyes; then 14765if test x$support_xpm = xyes; then
14146 echo " Xpm library: $XPM_LIBS" 14766 echo " Xpm library: $XPM_LIBS"
14147fi 14767fi
14148 14768
14149echo "
14150The following are set in config.h
14151"
14152echo " pty/tty type: "$rxvt_cv_ptys
14153if test x$support_utmp != xyes; then 14769if test x$support_utmp != xyes; then
14154 echo " utmp support: disabled" 14770 echo " utmp support: disabled"
14155 echo 14771 echo
14156else 14772else
14157 echo " utmp support: enabled 14773 echo " utmp support: enabled
14158 utmp file: $rxvt_cv_path_utmp 14774 utmp file: $path_utmp
14159 utmpx file: $rxvt_cv_path_utmpx 14775 utmpx file: $path_utmpx
14160 wtmp file: $rxvt_cv_path_wtmp 14776 wtmp file: $path_wtmp
14161 wtmpx file: $rxvt_cv_path_wtmpx 14777 wtmpx file: $path_wtmpx
14162 lastlog file: $rxvt_cv_path_lastlog 14778 lastlog file: $path_lastlog
14163 ttys/ttytab file: $rxvt_cv_path_ttytab 14779 lastlogx file: $path_lastlogx"
14164 embedded perl: $support_perl"
14165 echo
14166fi 14780fi
14167if test x$term != x; then 14781if test x$term != x; then
14168 echo " set TERM to: $term" 14782 echo " set TERM to: $term"
14169fi 14783fi
14170if test x$terminfo != x; then 14784if test x$terminfo != x; then
14174echo " resource class: $RESCLASS" 14788echo " resource class: $RESCLASS"
14175if test x$RESFALLBACK != x; then 14789if test x$RESFALLBACK != x; then
14176 echo " resource class fallback: $RESFALLBACK" 14790 echo " resource class fallback: $RESFALLBACK"
14177fi 14791fi
14178echo 14792echo
14179if test x$rxvt_cv_ptys = xUNKNOWN; then 14793echo " embedded perl: $support_perl"
14180 echo ".----------------------------------------------------------------." 14794echo
14181 echo ". WARNING: could not determine pty/tty type. Do not build until ."
14182 echo ". the appropriate PTYS_ARE_* is defined in config.h ."
14183 echo ".----------------------------------------------------------------."
14184fi
14185if test x$support_xpm = xneedsmanualspecification; then 14795if test x$support_xpm = xneedsmanualspecification; then
14186 echo ".----------------------------------------------------------------." 14796 echo ".----------------------------------------------------------------."
14187 echo ". WARNING: --enable-xpm-background was specified however the ." 14797 echo ". WARNING: --enable-xpm-background was specified however the ."
14188 echo ". XPM includes files and libraries could not be found. ." 14798 echo ". XPM includes files and libraries could not be found. ."
14189 echo ". XPM backgrounds are now being DISABLED! If you want ." 14799 echo ". XPM backgrounds are now being DISABLED! If you want ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines